GET
/v1/write-syncs/{writeSyncId}betaapiKeyworkspace
When to use
Read the current definition and version before editing.
For agents
Use identityLocked to determine whether source, destination, key, matching field and managed field names are fixed after an execution request.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.writeSyncs.get('wsyn_contacts123');Response
{
"data": {
"id": "wsyn_contacts123",
"name": "Contacts → Quo contacts",
"definition": {
"source": {
"resourceId": "oper_contacts123",
"object": "contacts",
"scope": ""
},
"destination": {
"resourceId": "conn_quo123",
"object": "contacts",
"scope": ""
},
"input": {
"type": "operation",
"operationId": "oper_contacts123",
"revisionId": "rvsn_contacts123",
"table": "contacts"
},
"keyColumn": "email",
"fields": {
"emails": "email",
"firstName": "first_name",
"lastName": "last_name"
}
},
"version": 1,
"isEnabled": false,
"createdAt": "2026-09-30T12:00:00.000Z",
"updatedAt": "2026-09-30T12:00:00.000Z",
"automaticEnabled": false,
"identityLocked": false
}
}